/**
 * Created by gukong on 2016/12/10.
 */
export default {
    data() {
        return {
            owner: this.$parent.$parent.$parent.$parent // 包含 pagingTable 的那个组件
        }
    },
    props: {
        row: {} // 某一行的数据
    },
    methods: {
        /**
         * 发送消息到包含 pagingTable 的那个组件
         * @param {string} eventName
         * @param {...*} agrement
         */
        emitToOwner(eventName, ...agrement) {
            if (this.owner && this.owner.$options.events) {
                this.owner.$options.events[eventName].apply(this.owner, agrement);
            }
        }
    }
}
